<span style="display:none;">{{head-title 'Helpbuttons - Botones de ' user.nickname}}</span>
<div class="bg-primary  index__mobile-fixed">
  {{component-header
    searchAction=(action 'searchByAddress')
    isShowingModal=isShowingModal
    isUserRoute=true
    toggleSelectedTagAction=(action 'toggleSelectedTag')
    showBackBtn=true
  }}
  {{!-- buttonNet=buttonNet --}}

  {{#search-topbar
    resultsNumber=buttonsToShow.length
    otherProfile=true
    userName=user.nickname
  }}
    {{#each selectedTags as |tag|}}
      <span class="hashtag hashtag--white">
        #{{tag.name}}
        <a class="mx-1" href="#" {{action 'toggleSelectedTag' tag}} title="Eliminar">{{svg-jar "cross"}}</a>
      </span>
    {{/each}}
  {{/search-topbar}}
  {{buttons-filters
    buttons=buttons
    buttonsFiltered=buttonsFiltered
    selectedTags=selectedTags
    searchAction=(action 'searchByAddress')
    isShowingModal=isShowingModal
    hideMapLink=true
    id="filters"
    updateSelectedTagsAction=(action 'updateSelectedTags')
    toggleSelectedTagAction=(action 'toggleSelectedTag')
  }}
</div>

<div style={{asideBodyStyles}} class="container-fluid profile-buttons">
  <div class="row justify-content-center">
    <div class="profile-buttons__avatar col-12 col-lg-3 mb-0">
      {{#if isSmallDevice}}
        <div class="row">
          <div class="col-3">
            <figure class="profile-card__avatar-container">
              {{#if user.hasAvatar}}
                <img src={{user.avatar.smallThumb}} alt="Avatar" class="profile-card__avatar-container-img">
              {{else}}
                {{svg-jar 'profile_def' class="bg-primary profile-card__avatar-container-icon picture__img"}}
              {{/if}}
            </figure>
          </div>
          <div class="col-9">
            <div class="profile-card__avatar-container-name text-left">
              {{user.nickname}}
            </div>
            <div class="col-12 text-center pt-4">
              <figure class="profile-card__rating text-center m-0">
                {{!-- <p class="paragraph text-left">
                  {{user.blockedBy.length}}
                </p>
                <div class="paragraph text-center">
                  {{svg-jar "forbid" class=(unless button.isMine "fill-icon")}}
                </div> --}}
                <div class="paragraph text-center ml-4">
                  {{user.ownedButtonsCounter}}
                </div>
                <div class="paragraph text-center ml-1">
                  {{svg-jar "chat_black" class=(unless button.isMine "fill-icon")}}
                </div>
                <div class="paragraph text-center ml-4">
                  {{user.likes}}
                </div>
                <div class="paragraph text-center ml-1">
                  {{svg-jar "like" class=(unless button.isMine "fill-icon")}}
                </div>
              </figure>
            </div>
            <div class="profile-card__avatar-container-name text-left">
              <p class="paragraph text-left">
                {{user.description}}
              </p>
              {{#if user.showPhone}}
                {{#if user.phone}}
                  <p class="paragraph text-left">
                    Telefono: {{user.phone}}
                  </p>
                {{/if}}
              {{/if}}
            </div>
          </div>
          <div class="col-12">
            <p class="text-center">
              {{#each user.userTags as |tag|}}
                <!-- <a href="#" class="hashtag hashtag--yellow">{{interest.name}}</a> -->
                {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag hashtag--yellow"}}{{tag.name}}{{/link-to}}
              {{/each}}
            </p>
          </div>
          {{#if isAuthenticated}}
            <div class="col-12 col-lg-6 mx-1">
              <button {{action 'like'}} class="col-12 ember-view profile-buttons__edit-button mb-3 {{if userLiked "active" ""}}">
                {{#if userLiked}}
                  Apoyado
                {{else}}
                  Apoyar
                {{/if}}
              </button>
            </div>
            <div class="col-12 col-lg-6 mx-1">
              <button {{action 'block'}} class="col-12 ember-view profile-buttons__edit-button mb-3 {{if userBlocked "active" ""}}">
                {{#if userBlocked}}
                  Bloqueado
                {{else}}
                  Bloquear
                {{/if}}
              </button>
            </div>
          {{/if}}
        </div>
      {{else}}
        <div class="row justify-content-center">
          <div class="col-12">
            <figure class="profile-card__avatar-container">
              {{#if user.hasAvatar}}
                {{!-- {{user.avatar.smallThumb}} --}}
                <img src={{user.avatar.smallThumb}} alt="Avatar" class="profile-card__avatar-container-img">
              {{else}}
                {{svg-jar 'profile_def' class="bg-primary profile-card__avatar-container-icon picture__img"}}
              {{/if}}
            </figure>
          </div>
          <div class="col-12">
            <div class="profile-card__avatar-container-name">
              {{user.nickname}}
            </div>
            <figure class="profile-card__rating">
              {{!-- <p class="paragraph text-left">
                {{user.blockedBy.length}}
              </p>
              <div class="paragraph text-left">
                {{svg-jar "forbid" class=(unless button.isMine "fill-icon")}}
              </div> --}}
              <div class="paragraph text-left ml-4">
                {{user.ownedButtonsCounter}}
              </div>
              <div class="paragraph text-left ml-1">
                {{svg-jar "chat_black" class=(unless button.isMine "fill-icon")}}
              </div>
              <div class="paragraph text-left ml-4">
                {{user.likes}}
              </div>
              <div class="paragraph text-left ml-1">
                {{svg-jar "like" class=(unless button.isMine "fill-icon")}}
              </div>
            </figure>
            <p class="profile-card__location">
              {{#if hasLocation}}
                {{svg-jar "place_black" class="svg-icon"}}
              {{/if}}
              {{locationAndLanguages}}
            </p>
          </div>
          <div class="col-12">
            <div class="row">
              <p class="paragraph pl-3 pr-3">
                {{user.description}}
              </p>
              {{#if user.showPhone}}
                {{#if user.phone}}
              <p class="paragraph col-12">
                Telefono: {{user.phone}}
              </p>
                {{/if}}
              {{/if}}
              <p class="text-center">
                {{#each user.userTags as |tag|}}
                  <!-- <a href="#" class="hashtag hashtag--yellow">{{interest.name}}</a> -->
                  {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag hashtag--yellow"}}{{tag.name}}{{/link-to}}
                {{/each}}
              </p>
              {{!-- {{#link-to 'profile-edition'}}
                  <p class="col-12 ember-view profile-buttons__edit-button mb-3">
                    Bloquear usuario
                  </p>
              {{/link-to}} --}}
              {{#if isAuthenticated}}
                <div class="col-12 profile-buttons__like-block">
                  <div class="col-lg-6 p-0 w-50">
                    <button {{action 'like'}} class="col-12 ember-view profile-buttons__edit-button mb-3 {{if userLiked "active" ""}}">
                      {{#if userLiked}}
                        Apoyado
                      {{else}}
                        Apoyar
                      {{/if}}
                    </button>
                  </div>
                  <div class="col-lg-6 p-0 w-50">
                    <button {{action 'block'}} class="col-12 ember-view profile-buttons__edit-button mb-3 {{if userBlocked "active" ""}}">
                      {{#if userBlocked}}
                       Bloqueado
                      {{else}}
                       Bloquear
                      {{/if}}
                    </button>
                  </div>
                </div>
              {{/if}}
            </div>
          </div>
        </div>
      {{/if}}
    </div>
    <div class="profile-buttons__list col-12 col-lg-8">
      {{#each buttonsToShow as |button|}}
        <a href="#" class="profile-buttons__list-link" {{action 'selectButton' button}}>
          {{button-card
            routeType="userList"
            button=button
            creator=button.creator
            creatorAvatar=button.creator.avatar
            isList=true
          }}
        </a>
      {{else}}
        <p class="label text-center">No hay botones aquí.</p>
      {{/each}}
    </div>
  </div>
</div>

{{#if showChatRoute}}
  {{outlet}}
{{else}}
{{#if hasSelectedButton}}
  {{#modal-dialog
    onClose=(action 'closeAction')
    onClickOverlay=(action 'closeAction')
    translucentOverlay=true
    animatable=true
    overlayClass="button-file__modal-overlay"
    containerClass="button-file__modal"
    targetAttachment='top'
  }}
    {{#if showProfile}}
      {{profile-card
        user=user
        avatar=user.avatar
        isOwnProfile=false
        closeAction=(action 'goHome')
      }}
    {{else}}
      {{button-file
        showProfile=showProfile
        routeType="userList"
        button=selectedButton
        closeAction=(action 'selectButton' null)
        openConversation=(action 'openConversation')
        socialShareTransition=(action 'socialShareTransition')
        socialShareNetwork=socialShareNetwork
        socialShareURL=socialShareURL
        accessDenied=accessDenied
      }}
    {{/if}}
  {{/modal-dialog}}
{{/if}}
{{/if}}
